Friday, June 22, 2012

EclipseFP 2.3.0 released!

Hello, this is my pleasure to announce a new release of EclipseFP, 2.3.0, and of its companion Haskell packages, Buildwrapper (0.6.0) and Scion-Browser (0.2.9).
EclipseFP is a set of Eclipse plugins for Haskell development.

You can see the release notes for full details, but these are the main points:

  • you can do search and replace in a Haskell aware manner. Basically we keep a database of where everything is defined and used in all the modules of your workspace, which lets you open a module, search for definitions or usage, rename things everywhere they're used.
  • better integration with Yesod: when you have a yesod project, you can easily launch "yesod devel" on it.
  • Preferences to specify the paths of all the Haskell tools we use
  • More quick fixes: add OverloadedString, install missing package, etc.
Hopefully you'll find this release and its new features helpful. Of course, post any issue to the sourceforge forum. As usual, use the Eclipse install feature to update/install your plugins by pointing it to

Happy Haskell Hacking!


Greg Weber said...

Had an issue with upgrading:

An error occurred while installing the items
session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=[R]net.sf.eclipsefp.haskell.core 2.2.4 --> [R]net.sf.eclipsefp.haskell.core 2.3.0, action=).
Failed to prepare partial IU: [R]net.sf.eclipsefp.haskell.core 2.3.0.

JP Moresmau said...

Greg, ahem. Cryptic error message, no idea. At worst, try to uninstall previous EclipseFP plugins and reinstall new version? Very weird messages...